# Class Point

java.lang.Object
org.mariadb.jdbc.type.Point

All Implemented Interfaces:
  `Geometry`

public class Point extends Object implements Geometry
Point

## Constructor Summary

Constructors
Constructor
Description
`Point(double x, double y)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`double`
`getX()`
Get abscissa
`double`
`getY()`
get ordinate
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Point

public Point(double x, double y)
Constructor

Parameters:
  `x` - abscissa
  `y` - ordinate

## Method Details

### getX

public double getX()
Get abscissa

Returns:
  abscissa

### getY

public double getY()
get ordinate

Returns:
  ordinate

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`